Download it now!
Bug 124787 - FILEOPEN: .PPT: Ring fontwork is broken.
Summary: FILEOPEN: .PPT: Ring fontwork is broken.
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Regina Henschel
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, filter:ppt, regression
Depends on:
Blocks: OOXML-Shapes
  Show dependency treegraph
 
Reported: 2019-04-17 10:07 UTC by Xisco Faulí
Modified: 2019-04-25 07:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (98.50 KB, application/vnd.ms-powerpoint)
2019-04-17 10:07 UTC, Xisco Faulí
Details
How it should look (137.07 KB, image/png)
2019-04-17 10:08 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-04-17 10:07:54 UTC
Created attachment 150814 [details]
sample file

Steps to reproduce:
1. Open attached file

-> The document should display 2 ring fontworks. See attached screenshot

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: a96167f88aa68651f055aa9096e63c9e48c8e4fa
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2019-04-17 10:08:40 UTC
Created attachment 150815 [details]
How it should look
Comment 2 Xisco Faulí 2019-04-17 10:09:58 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=3abe1e83c18c5778d60252092e9cc70c4c63268b

author	Regina Henschel <rb.henschel@t-online.de>	2019-02-19 20:16:45 +0100
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2019-03-04 09:51:17 +0100
commit	3abe1e83c18c5778d60252092e9cc70c4c63268b (patch)
tree	a86b21dcd1e93898e28bb1b4d820b14c45f2ac93
parent	0aa8fbe22986aba5bf7c24e91cc3f7aff5efc296 (diff)
tdf#121845 rework custom shape path command U and T

Bisected with: bibisect-linux64-6.3

Adding Cc: to Regina Henschel
Comment 3 Xisco Faulí 2019-04-17 10:11:20 UTC
Forgot to add Regina Henschel as CC
Comment 4 Regina Henschel 2019-04-18 08:43:59 UTC
I know, what's going wrong. I'll working on it.
Comment 5 Regina Henschel 2019-04-18 14:55:52 UTC
Patch is in https://gerrit.libreoffice.org/#/c/70941/
Comment 6 Commit Notification 2019-04-23 22:28:09 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/951282a27a9dd4c64fc206fcbdd805b4cb602816%5E%21

tdf#124787 mso-spt143 (RingOutside) has angles in degree

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Regina Henschel 2019-04-24 20:34:35 UTC
Fixed in Version: 6.3.0.0.alpha0+
Build ID: 951282a27a9dd4c64fc206fcbdd805b4cb602816
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 8 Xisco Faulí 2019-04-25 07:19:02 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: d70b2154a6ba68b676c24e7512121a882a7ef963
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Regina, thanks for fixing this issue!!